Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003067Piwigouploadpublic2014.03.31 14:242014.09.23 15:39
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0 
Target Version2.7.0beta1Fixed in Version2.7.0RC1 
Summary0003067: upload any file type
DescriptionThe upload form is only for JPG/PNG/GIF/TIFF. We could extend it to "any" file type. I have already done it in plugin Community [Subversion] r26562

There is a part missing in admin/include/functions_upload.inc.php to manage representative for videos/PDF.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007529)
svn (reporter)
2014.07.30 15:48

[Subversion] r29124 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 3067: upload any file type with the new HTML5 upload form.

$file_types = conf['upload_form_all_types'] ? $conf['file_ext'] : $conf['picture_ext'];

By default, conf['upload_form_all_types'] = false;
(0007530)
plg (manager)
2014.07.30 15:52

Piwigo generates a pwg_representative for PDF (imagemagick), TIFF (imagemagick) and videos (ffmpeg)
(0007632)
svn (reporter)
2014.09.23 15:39

[Subversion] r29762 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 3067: add pdf in conf.picture_ext to illustrate PDF representative generation

- Issue History
Date Modified Username Field Change
2014.03.31 14:24 plg New Issue
2014.03.31 14:24 plg Status new => assigned
2014.03.31 14:24 plg Assigned To => plg
2014.03.31 14:24 plg browser => any
2014.03.31 14:24 plg Web server => Apache 1.3.x
2014.07.30 15:48 svn Checkin
2014.07.30 15:48 svn Note Added: 0007529
2014.07.30 15:52 plg Note Added: 0007530
2014.07.30 15:52 plg Status assigned => closed
2014.07.30 15:52 plg Resolution open => fixed
2014.07.30 15:52 plg Fixed in Version => 2.7.0beta3
2014.09.23 15:39 svn Checkin
2014.09.23 15:39 svn Note Added: 0007632


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker